System.Data [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags

A is returned as part of the to indicate the action that was taken on a row to raise the event.

Use the members of this enumeration to determine the action that has occurred on a with regard to the to which it belongs.

Describes an action performed on a .

- Field
  System.Data.DataRowAction To be added

  The row has been added to the table.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowAction To be added

  The row has changed.

  1.0.5000.0
  2.0.0.0
- Field
  2.0.0.0
  System.Data.DataRowAction

  The original and the current versions of the row have been changed.

- Field
  2.0.0.0
  System.Data.DataRowAction

  The original version of the row has been changed.

- Field
  System.Data.DataRowAction To be added

  The changes to the row have been committed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowAction To be added

  The row was deleted from the table.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowAction To be added

  The row has not changed.

  1.0.5000.0
  2.0.0.0
- Field
  System.Data.DataRowAction To be added

  The most recent change to the row has been rolled back.

  1.0.5000.0
  2.0.0.0